Subject: Re: Another OCP enet patch

From: David Gibson <[email-masked]>
Date: Thu, 30 May 2002 13:10:50 +1000

On Wed, May 29, 2002 at 09:01:59AM -0700, Armin Kuster wrote:
>
> Dan Malek wrote:
>
> >We can't change the PCI names, so I just suggested we change the names to
> >consistent_sync(), define those in io.h (so non-PCI systems don't have to
> >include pci header files just to get a flag name), and put a big comment
> >around the flag definitions that they have to match the PCI_ names.
>
> Why not put the flag definition in a /linux/dma.h and include that in
> /linux/pci.h.  Have the pci flags be defined as the ones in dma.h.  That
> way it's obvious where the orginal defines are and easier to
> maintain. :)

That's what I'd like to do, but it means changes to generic code, so
Linus needs to be convinced.

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.  -- H.L. Mencken
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/